org.apache.solr.core

## Class MemClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.solr.core.MemClassLoader

- All Implemented Interfaces:
    AutoCloseable, ResourceLoader

      public class MemClassLoader
      extends ClassLoader
      implements AutoCloseable, ResourceLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemClassLoader(List<PluginBag.RuntimeLib> libs, SolrResourceLoader resourceLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected Class<?>` | `findClass(String name)`
    `<T> Class<? extends T>` | `findClass(String cname, Class<T> expectedType)`
    `void` | `loadJars()`
    `<T> T` | `newInstance(String cname, Class<T> expectedType)`
    `InputStream` | `openResource(String resource)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemClassLoader

          public MemClassLoader(List<PluginBag.RuntimeLib> libs,
                                SolrResourceLoader resourceLoader)

  - ### Method Detail

    - #### loadJars

          public void loadJars()

    - #### findClass

          protected Class<?> findClass(String name)
                                throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

    - #### openResource

          public InputStream openResource(String resource)
                                   throws IOException

      Specified by:
        `openResource` in interface `ResourceLoader`
      Throws:
        `IOException`

    - #### findClass

          public <T> Class<? extends T> findClass(String cname,
                                                  Class<T> expectedType)

      Specified by:
        `findClass` in interface `ResourceLoader`

    - #### newInstance

          public <T> T newInstance(String cname,
                                   Class<T> expectedType)

      Specified by:
        `newInstance` in interface `ResourceLoader`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.